import { i18nMap } from './i18nMap';
import { KeyParams } from './KeyParams';
declare class i18nLoader {
    private static instance;
    private readonly map;
    private locale;
    static defaultLocale: string;
    constructor(locale: string);
    static getInstance(locale?: string): i18nLoader;
    setLocale(locale: string): i18nLoader;
    load(...paths: string[]): i18nLoader;
    loadJson(obj: i18nMap): i18nLoader;
    get(key: string): string;
}
declare const $$: (key: string, params?: KeyParams) => string;
export { i18nLoader, $$ };
