import {Request, Response} from 'express';
import { Route, HttpMethod, StatusCodes } from '../base/http';

class GetIndex extends Route {
	protected order = 0;
	protected method = HttpMethod.GET;
	protected route = '/';
	protected action = (req: Request, res: Response): any => {
		res.status(StatusCodes.OK).send('org.crazydoctor.expressts server sample page');
	};
}

export { GetIndex };