"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalServerErrorHandler = void 0;
const http_1 = require("../base/http");
const i18n_1 = require("../base/i18n");
class InternalServerErrorHandler extends http_1.Middleware {
    constructor() {
        super(...arguments);
        this.order = 10000;
        this.route = null;
        this.action = (err, req, res, next) => {
            res.status(http_1.StatusCodes.INTERNAL_SERVER_ERROR).send((0, i18n_1.$$)('org.crazydoctor.expressts.httpError.500'));
        };
    }
}
exports.InternalServerErrorHandler = InternalServerErrorHandler;
