"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionMiddleware = void 0;
const http_1 = require("../base/http");
const express_session_1 = __importDefault(require("express-session"));
const util_1 = require("../base/util");
class SessionMiddleware extends http_1.Middleware {
    constructor() {
        super(...arguments);
        this.order = -98;
        this.route = null;
        this.action = (0, express_session_1.default)({ secret: util_1.Guid.new(), resave: false, saveUninitialized: false });
    }
}
exports.SessionMiddleware = SessionMiddleware;
